def main():

    import socket
    import config
    import datetime
    from log import logsManager
    import sys
    
    if len(sys.argv) != 4:
        print("Usage: python script.py <blockedIPAddress> <jail> <live>")
        sys.exit(1)

    hostname = socket.gethostname()
    ipAddress = socket.gethostbyname(hostname)
    blockedIPAddress = sys.argv[1]
    jail = sys.argv[2]
    live = int(sys.argv[3])
    logTime = datetime.datetime.now()
    token = config.ipinfoAPIToken
    
    print(hostname, ipAddress, blockedIPAddress, jail, live, logTime, token)
    
    if not config.loggingMode == 'none' and not config.loggingMode == 'rabbitmq':

        manager = logsManager(config.sqlServer, config.sqlDatabase, config.sqlUsername, config.sqlPassword)
        manager.insertIPBlock(hostname, ipAddress, blockedIPAddress, jail, live, logTime, token)

    if config.loggingMode == 'rabbitmq':

        rabbitmq.publish(hostname + '|' + socket.gethostbyname(socket.gethostname()) + '|' + str(logTime) + '|' + 'ipBlock' + '|' + str(blockedIPAddress) + '|' + str(jail) + '|' str(live)

if __name__ == "__main__":
    main()
